PAPI_get_dmem_info(3)

NAME
PAPI_get_dmem_info - Get information about the dynamic memory usage of the current program.

SYNOPSIS

Detailed Description

C Prototype:
    #include <papi.h>
     int PAPI_get_dmem_info( PAPI_dmem_info_t *dest );

Parameters
    dest structure to be filled in PAPI_dmem_info_t

Return values
    PAPI_ECMP The function is not implemented for the current component.
    PAPI_EINVAL Any value in the structure or array may be undefined as indicated by this error value.
    PAPI_SYS A system error occurred.

Note
    This function is only implemented for the Linux operating system. This function takes a pointer to a PAPI_dmem_info_t structure and returns with the structure fields filled in. A value of PAPI_EINVAL in any field indicates an undefined parameter.

See also
    PAPI_get_executable_info PAPI_get_hardware_info PAPI_get_opt PAPI_library_init

Author

Generated automatically by Doxygen for PAPI from the source code.